# API Communauté

L'API Communauté permet de manipuler les contacts d'une organisation Citipo.

Chaque projet dispose d'un accès à cette API : le projet utilisé pour effectuer les manipulations est alors considéré comme la source des modifications.

{% hint style="info" %}
[Lire la référence OpenAPI de l'API Communauté](https://console.citipo.com/openapi#operations-tag-Community)
{% endhint %}

## Authentification

L'authentification de l'API Communauté passe par l'utilisation du token API associé à un projet. Le projet choisi déterminera la source des contacts manipulés.

Pour obtenir ce token, allez dans un projet Citipo puis dans la section **Développeurs > Accès API.** Une fois le token obtenu, utilisez-le en Bearer token HTTP :

```
curl --request GET \
  --url 'https://console.citipo.com/api' \
  --header 'Authorization: Bearer <token>'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.citipo.com/developpeurs/api/api-communaute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
